package com.pwt.common.enums;

/**
 * @author linyun
 * @version V1.0
 * @Title: CommandType
 * @Description: 指令枚举类
 * @date 2022/11/04
 **/
public enum CommandType {

    /** 度电数据 **/
    POWER_DATA(0X01),

    /** 度电数据回复 **/
    POWER_DATA_BACK(0X02),

    /** 心跳 ping **/
    HEART_BEAT(0X03),

    /** 心跳 ping 回复**/
    HEART_BEAT_BACK(0X04),

    /** 锁定车辆电池框 **/
    LOCK(0X05),

    /** 锁定电池框回复 **/
    LOCK_BACK(0X06),

    /** 解锁电池框 **/
    UN_LOCK(0X07),

    /** 解锁电池框回复 **/
    UN_LOCK_BACK(0X08),

    /** 设置参数**/
    SET_PARAMETERS(0X11),

    /** 设置参数返回  **/
    SET_PARAMETERS_BACK(0X12),

    ;

    private int value;

    public int getValue()
    {
        return value;
    }

    CommandType(int value) {
        this.value = value;
    }

}
